package com.ruoyi.ngCalTools.utils;

public final class GasConstants {
    public static final int NORMAL = 9000;
    public static final int NG_Cal_INITIALIZED = 9001;
    public static final int MEMORY_ALLOCATION_ERROR = 9002;
    public static final int GENERAL_CALCULATION_FAILURE = 9003;
    public static final int MAX_NUM_OF_ITERATIONS_EXCEEDED = 9004;
    public static final int NEGATIVE_DENSITY_DERIVATIVE = 9005;
    public static final int MAX_DENSITY_IN_BRAKET_EXCEEDED = 9006;
    /* 天然气组分个数 */
    public static final int NUMBEROFCOMPONENTS = 21;
    /* maximum number of tries within search routines */
    public static final int MAX_NUM_OF_ITERATIONS = 100;
    /* default tolerance limits */
    public static final double P_CHG_TOL = 0.001; /* 0.001 Pa */
    public static final double T_CHG_TOL = 0.001; /* 0.001 of a Kelvin */
    /* maximum allowable P & T */
    public static final double P_MAX = 1.379e8; // maximum pressure (Pa) ~= 20,000 psi
    public static final double P_MIN = 0.0; // maximum pressure = 0
    public static final double T_MAX = 473.15; // maximum temperature (K) ~= 392 F
    public static final double T_MIN = 143.0; // maximum temperature (K) ~= -200 F
    /* universal gas constant, in two configurations */
    public static final double RGASKJ = 8.314510e-3; /* in kJ mol^-1 K^-1 */
    public static final double RGAS = 8.314510; /* in J mol^-1 K^-1 */
    /* the main data structure used by this library */

    // 其他常量...
}